PDA

View Full Version : Help: Problem compiling OpenGL code in VC 5.0!!!



09-16-2002, 06:21 PM
I just recently install Glut, OpenGL32, and Glu32 libs. including the dll files.

After compiling the code, I received this linking error:

--------------------Configuration: OPENGL PROJECT - Win32 Debug--------------------
Linking...
C:\Program Files\DevStudio\VC\LIB\glut32.lib : fatal error LNK1106: invalid file or disk full: cannot seek to 0x3beab217
Error executing link.exe.

OPENGL PROJECT.exe - 1 error(s), 0 warning(s)


I followed the instruction how to compile the code.....so what the give, folks! http://www.opengl.org/discussion_boards/ubb/frown.gif

Tim Stirling
09-17-2002, 12:15 AM
I had a similar problem with another libary. What it is is that the lib is made for vc6 not version 5 and so doesn't work. You either have to recompile the lib yourself or think about upgrading VC, like I did.

I could be wrong of course. Other things to try would be to redownload the lib, maybe its corrupted. But I doubt thats the problem.

Tim

nexusone
09-17-2002, 04:02 AM
Look's like a glut.lib problem,the glut library has ether been compiled for another compiler like borland or as aother post for maybe a newer version of VC.

First go to Nate Robins glut for windows site. See if he maybe has a version of the library for your compiler, I know that I did not having any problems using his lib file with my VC++ 4.0

But make sure you have downloaded a glut.lib for VC++



Originally posted by Fat Tech:
I just recently install Glut, OpenGL32, and Glu32 libs. including the dll files.

After compiling the code, I received this linking error:
[B]

Leyder Dylan
09-17-2002, 07:47 AM
Your lib is damaged

09-17-2002, 06:01 PM
Okay.....the same glut files work okay in VC6, after compiling.

Thanks for your help.

I very well adapt to VC 5.0 than VC 6.0, cause 5.0 have more simplistic and less problematic than 6.0. In some case I'm forced to use VC 6.0 to re-write the codes and re-compile it. For unknown reason the executable cause illegal operation after using VC 5.0 for coding and VC 6.0 for compiling and executing.

ain't it a bytch, folks!!